Delphi 终于支持.NET 2.0 了!

  • Jonathan Allen
  • 霍泰稳

2007 年 6 月 30 日

话题:.NET语言 & 开发架构

令人尊敬的 Delphi 迄今已经有了近 20 年的历史。在去年初被 Borland 忍痛抛弃之后,它单独注资成立了一个新的公司——CodeGear。但现在它在.NET 和 Win32 平台工具方面做得都不是特别出色。

计划在 2007 年晚些时候发布的版本为 Highlander,将包含对 ASP.NET 2.0 的支持。在 Windows 方面,也会包含一个和 VCL 相适应的.NET 版本。根据路线图所示,“VCL 的开发人员使用 VCL.NET 即可很轻松地将代码移植到托管代码。”

另外 Highlander 还包括一个针对 ADO.NET 的 DBX4 驱动器,和一个称为 SQLDatastore 的轻量级数据库。SQLDatastore 全部使用托管代码写成,完全支持事务,并且允许用任何语言来写存储过程。

Delphi 的下一个版本是 Tiburón,可能在 2008 年早期发布。在这个版本中,Delphi 的 Win32 版有望完全兼容 Unicode,甚至标准的字符串也可以为 Unicode 格式。该版本也仍将包含 VCL 工具集。

对 Win32 和.NET 平台来说,参数化类型也将会成为 Tiburón 的一部分。但是在 Tiburón 发布之前,即语言本身不支持.NET 2.0 泛型时,不要期望 Hiighlander 版本能支持.NET 2.0 泛型。

路线图上 Delphi 最后的版本名称为 Commodore。该版本将会在 2008 年冬天发布,用于 64 位开发。

期间没有提到的是关于对.NET 3.0 或者 3.5 的支持。考虑到 Delphi 团队目前的工作压力,在 2009 年之前也许都不会看到什么进展。

查看英文原文:Delphi to Finally Support .NET 2.0
.NET语言 & 开发架构